import request from '../../utils/request'
/**
 * 获取公告分页列表
 */
export function getNoticePageList(data) {
  return request({
    url: '/UserCenter/GetNoticePageList',
    method: 'post',
    data
  });
}

/**
 * 获取 公告状态枚举 列表
 */
export function getNoticeStateEnumList(data) {
  return request({
    url: '/UserCenter/GetNoticeStateEnumList',
    method: 'post',
    data
  });
}
/**
 * 获取 公告配置
 */
export function getNoticeBaseInfo(data) {
  return request({
    url: '/UserCenter/GetNoticeBaseInfo',
    method: 'post',
    data
  });
}

/**
 * 获取编号规则 枚举列表
 */
export function getNoticeRuleEnumList(data) {
  return request({
    url: '/UserCenter/GetNoticeRuleEnumList',
    method: 'post',
    data
  });
}

/**
 * 新增修改 公告配置
 */
export function setNoticeBaseInfo(data) {
  return request({
    url: '/UserCenter/SetNoticeBaseInfo',
    method: 'post',
    data
  });
}

/**
 * 公告操作
 */
export function setNoticeOperation(data) {
  return request({
    url: '/UserCenter/SetNoticeOperation',
    method: 'post',
    data
  });
}

/**
 * 公告操作
 */
export function setNoticeInfo(data) {
  return request({
    url: '/UserCenter/SetNoticeInfo',
    method: 'post',
    data
  });
}


/**
 * 公告详情
 */
export function GetNoticeInfo(data) {
  return request({
    url: '/UserCenter/GetNoticeInfo',
    method: 'post',
    data
  });
}

/**
 * 公告审批
 */
export function setReviewNotice(data) {
  return request({
    url: '/UserCenter/SetReviewNotice',
    method: 'post',
    data
  });
}

/**
 * 获取我审批的公告
 */
export function getMyApproval(data) {
  return request({
    url: '/UserCenter/GetNoticeLogPageList',
    method: 'post',
    data
  });
}
